#
# Copyright (C) 2007 Crawford Currie, http://c-dot.co.uk
#
package TWiki::Contrib::DBCacheContrib::Archivist::Storable;
use base 'TWiki::Contrib::DBCacheContrib::MemArchivist';

use strict;
use Storable;

sub clear {
    my $this = shift;
    unlink( $this->{_file} );
    undef $this->{root};
}

sub DESTROY {
    my $this = shift;
    undef $this->{root};
}

sub sync {
    my ($this) = @_;
    require Storable;

    # Clear the archivist to avoid having pointers in the Storable
    $this->{root}->setArchivist(undef) if $this->{root};
    Storable::lock_store( $this->getRoot(), $this->{_file} );
    $this->{root}->setArchivist($this) if $this->{root};
}

sub getRoot {
    my ($this) = @_;
    unless ( $this->{root} ) {
        if ( -e $this->{_file} ) {
            $this->{root} = Storable::lock_retrieve( $this->{_file} );
            $this->{root}->setArchivist($this);
        }
        else {
            $this->{root} = $this->newMap();
        }
    }
    return $this->{root};
}

1;
